<jds-bi-hosted-dropdown
  [(open)]="open"
  [ngClass]="[jds.w('full')]"
  [jdsBiDropdownLimitWidth]="dropdownLimitWidth"
  [content]="dropdown"
>
  <button
    [ngClass]="[
      jds.d('flex'),
      jds.alignItems('center'),
      jds.justifyContent('between'),
      jds.w('full')
    ]"
    [colorScheme]="colorScheme"
    jdsBiButton
    type="button"
  >
    <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
      <ng-container *ngTemplateOutlet="iconPlus" />
      <span [ngClass]="[jds.ms(7)]">Tambah Data</span>
    </div>
    <ng-container *ngTemplateOutlet="iconChevronDown" />
  </button>
</jds-bi-hosted-dropdown>

<ng-template #dropdown>
  <ul [ngClass]="[jds.dropdownMenu]">
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        [routerLink]="['/my-dataset/add']"
        (click)="onClick()"
      >
        Dataset
      </a>
    </li>
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        [routerLink]="['/my-mapset/add']"
        (click)="onClick()"
      >
        Mapset
      </a>
    </li>
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        [routerLink]="['/my-indicator/add']"
        (click)="onClick()"
      >
        Indikator
      </a>
    </li>
    @if (satudataUser.role_name === 'walidata') {
      <li [ngClass]="[jds.dropdownNavbarItem]">
        <a
          [ngClass]="[jds.dropdownNavbarLink]"
          [routerLink]="['/my-visualization/add']"
          (click)="onClick()"
        >
          Visualisasi
        </a>
      </li>
    }
  </ul>
</ng-template>

<ng-template #iconPlus>
  <jds-bi-icon name="plus" />
</ng-template>

<ng-template #iconChevronDown>
  <jds-bi-icon
    [ngClass]="['icon', jds.ms(11)]"
    [class.rotated]="open"
    name="chevron-down"
  />
</ng-template>
